Package org.jbpm.process.instance.timer

## Class TimerManager.OverdueTrigger

- java.lang.Object
- - org.jbpm.process.instance.timer.TimerManager.OverdueTrigger

- All Implemented Interfaces:
    `Serializable`, `org.drools.core.time.Trigger`
  Enclosing class:
    TimerManager

      public static class TimerManager.OverdueTrigger
      extends Object
      implements org.drools.core.time.Trigger

  Overdue aware trigger that introduces fixed delay to allow completion of session initialization
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `OVERDUE_DELAY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OverdueTrigger​(org.drools.core.time.Trigger orig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `hasNextFireTime()` |
    `void` | `initialize​(org.drools.core.common.InternalKnowledgeRuntime kruntime)` |
    `Date` | `nextFireTime()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OVERDUE_DELAY

          public static final long OVERDUE_DELAY

  - ### Constructor Detail

    - #### OverdueTrigger

          public OverdueTrigger​(org.drools.core.time.Trigger orig)

  - ### Method Detail

    - #### initialize

          public void initialize​(org.drools.core.common.InternalKnowledgeRuntime kruntime)

      Specified by:
        `initialize` in interface `org.drools.core.time.Trigger`

    - #### hasNextFireTime

          public Date hasNextFireTime()

      Specified by:
        `hasNextFireTime` in interface `org.drools.core.time.Trigger`

    - #### nextFireTime

          public Date nextFireTime()

      Specified by:
        `nextFireTime` in interface `org.drools.core.time.Trigger`